Index: channels/chan_local.c
===================================================================
--- channels/chan_local.c	(revision 140637)
+++ channels/chan_local.c	(working copy)
@@ -168,6 +168,10 @@
 	/* Recalculate outbound channel */
 	other = isoutbound ? p->owner : p->chan;
 
+	/* do not queue frame if generator is on both local channels */
+	if (us && us->generator && other->generator)
+		return 0;
+
 	/* Set glare detection */
 	ast_set_flag(p, LOCAL_GLARE_DETECT);
 	if (ast_test_flag(p, LOCAL_CANCEL_QUEUE)) {
